import { Skeleton } from "@/components/ui/skeleton";

import { cn } from "@/lib/utils";

export default function AgentCardSkeleton() {
  return (
    <div
      className={cn(
        "flex flex-col p-4",
        "bg-background rounded-lg transition-all duration-300 border hover:shadow-[0_0_23.1px_0_rgba(0,0,0,0.08)_inset]"
      )}
    >
      <Skeleton className="h-[260px] w-full mb-3" />
      <Skeleton className="h-4 w-full mb-4" />
      <Skeleton className="h-4 w-full mb-3" />
      <Skeleton className="h-3 w-full mb-3" />
      <Skeleton className="h-5 w-full" />
    </div>
  );
}
